import { useNamespace } from "../../../../hooks/use-namespace/index.mjs";
import { ROOT_PICKER_INJECTION_KEY } from "../constants.mjs";
import { basicCellProps } from "../props/basic-cell.mjs";
import { defineComponent, inject, renderSlot, createVNode } from "vue";
var basic_cell_render_default = /* @__PURE__ */ defineComponent({
  name: "ElDatePickerCell",
  props: basicCellProps,
  setup(props) {
    const ns = useNamespace("date-table-cell");
    const { slots } = inject(ROOT_PICKER_INJECTION_KEY);
    return () => {
      const { cell } = props;
      return renderSlot(slots, "default", { ...cell }, () => [createVNode("div", { "class": ns.b() }, [createVNode("span", { "class": ns.e("text") }, [(cell == null ? void 0 : cell.renderText) ?? (cell == null ? void 0 : cell.text)])])]);
    };
  }
});
export {
  basic_cell_render_default as default
};
